Name:			quazip
Version:		0.2.3
Release:		5%{?dist}
Summary:		Qt/C++ wrapper for the minizip library
License:		GPLv2+ or LGPLv2+
Group:			System Environment/Libraries
URL:			http://quazip.sourceforge.net/
Source0:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Fixes build and install
Patch0:			quazip-path.patch
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:		qt4-devel
#BuildRequires:		zlib-devel
BuildRequires:		minizip-devel

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		minizip-devel

%description devel
The %{name}-devel package contains libraries, header files and documentations for 
developing applications that use %{name}. 

%prep
%setup -q
%patch0 -p1
#remove bundled minizip library
pushd quazip
rm -rf crypt.h ioapi* unzip* zip*
popd

%build
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake PREFIX=%{_prefix} LIBDIR=%{_libdir}
#do not build in parallel - there are race conditions in 
#qmake-generated makefiles
make

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING* NEWS README
%{_libdir}/libquazip.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/libquazip.so

%changelog
* Wed Feb  3 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2.3-5
- quazip-devel must Requires minizip-devel

* Sun Jan 31 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2.3-4
- change license to GPLv2+ or LGPLv2+

* Sun Jan 31 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2.3-3
- use %%doc for packaging documentations

* Sun Jan 31 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2.3-2
- use system-wide minizip library

* Sun Jan 31 2010 Chen Lei <supercyper AT 163 DOT com> - 0.2.3-1
- initial rpm build
